Initiatives
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Query Parameters
Comma-separated initiative statuses
Comma-separated user ids, or 'none'
Comma-separated: on_track, at_risk, off_track
Comma-separated computed filters, ANDed: overdue, due_quarter, no_target_date, stale, no_lead, no_projects, no_counted_work, update_overdue, off_track, has_excluded, led_by_me
name, target, health, status, updated, progress, projects ('-' reverses)
Response Body
application/json
application/json
curl -X GET "https://example.com/initiatives"{ "initiatives": [ { "id": "string", "name": "string", "description": "string", "status": "planned", "health": "on_track", "lead": { "id": "string", "name": "string", "email": "user@example.com" }, "targetDate": "string", "projects": [ { "id": "string", "name": "string", "status": "string", "progress": { "done": 0, "total": 0, "percent": 0, "excludedProjects": 0 } } ], "progress": { "done": 0, "total": 0, "percent": 0, "excludedProjects": 0 } } ]}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/initiatives" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "initiative": { "id": "string", "name": "string", "status": "string" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Initiative id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/initiatives/string" \ -H "Content-Type: application/json" \ -d '{}'{ "initiative": { "id": "string", "name": "string", "description": "string", "status": "string", "leadId": "string", "targetDate": "string" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Initiative id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/initiatives/string/page-data"{ "initiative": { "id": "string", "leadId": "string" }}Recreates the initiative in the target workspace, moves its projects and their issues, and cancels the original. Admin in both workspaces.
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Initiative id or name
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/initiatives/string/move" \ -H "Content-Type: application/json" \ -d '{ "workspace": "string", "team": "string" }'{ "moved": { "property1": null, "property2": null }}